Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.flagstone.transform
Class FSProperty

    java.lang.Object
      com.flagstone.transform.FSTransformObject
          com.flagstone.transform.FSProperty

All Implemented Interfaces:
  java.lang.Cloneable

    public class FSProperty

extends FSTransformObject

FSProperty is a lightweight class used to hold codes that specify movie clip and movie properties that will be pushed onto the Flash Player stack. See FSPush for a list of available properties.

Constructor Summary
`FSProperty(FSCoder coder)` Construct an FSProperty object, initalizing it with values decoded from an encoded object.
`FSProperty(FSProperty obj)` Constructs an FSProperty object by copying values from an existing object.
`FSProperty(int aValue)` Construct an FSProperty object with the proerty value.

Method Summary
`void` | `appendDescription(java.lang.StringBuffer buffer, int depth)` AppendDescription is used to present a string description of the object including all nested objects up to a specified depth.
`void` | `decode(FSCoder coder)`
`void` | `encode(FSCoder coder)`
`boolean` | `equals(java.lang.Object anObject)` Returns true if anObject is equal to this one.
`int` | `getValue()`
`int` | `length(FSCoder coder)`
`void` | `setValue(int aValue)`

Methods inherited from class com.flagstone.transform.FSTransformObject
`clone, name, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FSProperty

    public FSProperty(FSCoder coder)

  Construct an FSProperty object, initalizing it with values decoded from an encoded object.

  Parameters:
    `coder` - an FSCoder containing the binary data.

### FSProperty

    public FSProperty(int aValue)

  Construct an FSProperty object with the proerty value.

  Parameters:
    `aValue` - an integer representing a movie property.

### FSProperty

    public FSProperty(FSProperty obj)

  Constructs an FSProperty object by copying values from an existing object.

  Parameters:
    `obj` - an FSProperty object.

Method Detail

### getValue

    public int getValue()

### setValue

    public void setValue(int aValue)

### equals

    public boolean equals(java.lang.Object anObject)

  Description copied from class: `FSTransformObject`
  Returns true if anObject is equal to this one. Objects are considered equal if they would generate identical binary data when they are encoded to a Flash file.

  Overrides:
    `equals` in class `FSTransformObject`
  Returns:
    true if this object would be identical to anObject when encoded.

### appendDescription

    public void appendDescription(java.lang.StringBuffer buffer,
                                  int depth)

  Description copied from class: `FSTransformObject`
  AppendDescription is used to present a string description of the object including all nested objects up to a specified depth. This method provide a more controlled way of creating a string representation of an object since large objects such as font or shape definitions can contain dozens of nested objects. The representation of the object is appended to the StringBuffer, showing the name of the class and values of the attributes it contains. If the object contains any attributes that are objects then the object graph will be traversed up to the specified depth. If objects are nested at a level less than specified depth then the full string representation of the object is displayed. For objects at the specified depth only the name of the class is displayed. Any objects below this depth are not displayed.

  Specified by:
    `appendDescription` in class `FSTransformObject`
  Parameters:
    `buffer` - a StringBuffer to which the description of each object is appended.
    `depth` - the maximum level of nesting up to which objects will be displayed.

### length

    public int length(FSCoder coder)

  Specified by:
    `length` in class `FSTransformObject`

### encode

    public void encode(FSCoder coder)

  Specified by:
    `encode` in class `FSTransformObject`

### decode

    public void decode(FSCoder coder)

  Specified by:
    `decode` in class `FSTransformObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD